package com.mortals.xhx.module.matter.model;

import java.util.List;
import com.mortals.xhx.module.matter.model.MatterDatumFileEntity;
/**
 * 材料附件查询对象
 *
 * @author zxfei
 * @date 2022-01-17
 */
public class MatterDatumFileQuery extends MatterDatumFileEntity {
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长列表 */
    private List <Long> idList;

    /** 开始 材料id */
    private Long datumIdStart;

    /** 结束 材料id */
    private Long datumIdEnd;

    /** 增加 材料id */
    private Long datumIdIncrement;

    /** 材料id列表 */
    private List <Long> datumIdList;

    /** 附件名称 */
    private List<String> fileNameList;

    /** 附件下载地址 */
    private List<String> fileUrlList;

    /** 开始 附件类型 (1.示例样表，2.空白表格) */
    private Integer filetypeStart;

    /** 结束 附件类型 (1.示例样表，2.空白表格) */
    private Integer filetypeEnd;

    /** 增加 附件类型 (1.示例样表，2.空白表格) */
    private Integer filetypeIncrement;

    /** 附件类型 (1.示例样表，2.空白表格)列表 */
    private List <Integer> filetypeList;

    /** 开始 附件来源 (0.政务网，1.自定义) */
    private Integer sourceStart;

    /** 结束 附件来源 (0.政务网，1.自定义) */
    private Integer sourceEnd;

    /** 增加 附件来源 (0.政务网，1.自定义) */
    private Integer sourceIncrement;

    /** 附件来源 (0.政务网，1.自定义)列表 */
    private List <Integer> sourceList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** 材料名 */
    private List<String> materialNameList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MatterDatumFileQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MatterDatumFileQuery> andConditionList;

    public MatterDatumFileQuery(){}

    /**
     * 获取 开始 主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 开始 材料id
     * @return datumIdStart
     */
    public Long getDatumIdStart(){
        return this.datumIdStart;
    }

    /**
     * 设置 开始 材料id
     * @param datumIdStart
     */
    public void setDatumIdStart(Long datumIdStart){
        this.datumIdStart = datumIdStart;
    }

    /**
     * 获取 结束 材料id
     * @return $datumIdEnd
     */
    public Long getDatumIdEnd(){
        return this.datumIdEnd;
    }

    /**
     * 设置 结束 材料id
     * @param datumIdEnd
     */
    public void setDatumIdEnd(Long datumIdEnd){
        this.datumIdEnd = datumIdEnd;
    }

    /**
     * 获取 增加 材料id
     * @return datumIdIncrement
     */
    public Long getDatumIdIncrement(){
        return this.datumIdIncrement;
    }

    /**
     * 设置 增加 材料id
     * @param datumIdIncrement
     */
    public void setDatumIdIncrement(Long datumIdIncrement){
        this.datumIdIncrement = datumIdIncrement;
    }

    /**
     * 获取 材料id
     * @return datumIdList
     */
    public List<Long> getDatumIdList(){
        return this.datumIdList;
    }

    /**
     * 设置 材料id
     * @param datumIdList
     */
    public void setDatumIdList(List<Long> datumIdList){
        this.datumIdList = datumIdList;
    }

    /**
     * 获取 附件名称
     * @return fileNameList
     */
    public List<String> getFileNameList(){
        return this.fileNameList;
    }

    /**
     * 设置 附件名称
     * @param fileNameList
     */
    public void setFileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
    }
    /**
     * 获取 附件下载地址
     * @return fileUrlList
     */
    public List<String> getFileUrlList(){
        return this.fileUrlList;
    }

    /**
     * 设置 附件下载地址
     * @param fileUrlList
     */
    public void setFileUrlList(List<String> fileUrlList){
        this.fileUrlList = fileUrlList;
    }
    /**
     * 获取 开始 附件类型 (1.示例样表，2.空白表格)
     * @return filetypeStart
     */
    public Integer getFiletypeStart(){
        return this.filetypeStart;
    }

    /**
     * 设置 开始 附件类型 (1.示例样表，2.空白表格)
     * @param filetypeStart
     */
    public void setFiletypeStart(Integer filetypeStart){
        this.filetypeStart = filetypeStart;
    }

    /**
     * 获取 结束 附件类型 (1.示例样表，2.空白表格)
     * @return $filetypeEnd
     */
    public Integer getFiletypeEnd(){
        return this.filetypeEnd;
    }

    /**
     * 设置 结束 附件类型 (1.示例样表，2.空白表格)
     * @param filetypeEnd
     */
    public void setFiletypeEnd(Integer filetypeEnd){
        this.filetypeEnd = filetypeEnd;
    }

    /**
     * 获取 增加 附件类型 (1.示例样表，2.空白表格)
     * @return filetypeIncrement
     */
    public Integer getFiletypeIncrement(){
        return this.filetypeIncrement;
    }

    /**
     * 设置 增加 附件类型 (1.示例样表，2.空白表格)
     * @param filetypeIncrement
     */
    public void setFiletypeIncrement(Integer filetypeIncrement){
        this.filetypeIncrement = filetypeIncrement;
    }

    /**
     * 获取 附件类型 (1.示例样表，2.空白表格)
     * @return filetypeList
     */
    public List<Integer> getFiletypeList(){
        return this.filetypeList;
    }

    /**
     * 设置 附件类型 (1.示例样表，2.空白表格)
     * @param filetypeList
     */
    public void setFiletypeList(List<Integer> filetypeList){
        this.filetypeList = filetypeList;
    }

    /**
     * 获取 开始 附件来源 (0.政务网，1.自定义)
     * @return sourceStart
     */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
     * 设置 开始 附件来源 (0.政务网，1.自定义)
     * @param sourceStart
     */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
     * 获取 结束 附件来源 (0.政务网，1.自定义)
     * @return $sourceEnd
     */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
     * 设置 结束 附件来源 (0.政务网，1.自定义)
     * @param sourceEnd
     */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
     * 获取 增加 附件来源 (0.政务网，1.自定义)
     * @return sourceIncrement
     */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
     * 设置 增加 附件来源 (0.政务网，1.自定义)
     * @param sourceIncrement
     */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
     * 获取 附件来源 (0.政务网，1.自定义)
     * @return sourceList
     */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
     * 设置 附件来源 (0.政务网，1.自定义)
     * @param sourceList
     */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 材料名
     * @return materialNameList
     */
    public List<String> getMaterialNameList(){
        return this.materialNameList;
    }

    /**
     * 设置 材料名
     * @param materialNameList
     */
    public void setMaterialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
    }
    /**
     * 设置  主键，自增长
     * @param id
     */
    public MatterDatumFileQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public MatterDatumFileQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public MatterDatumFileQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public MatterDatumFileQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public MatterDatumFileQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置  材料id
     * @param datumId
     */
    public MatterDatumFileQuery datumId(Long datumId){
        setDatumId(datumId);
        return this;
    }

    /**
     * 设置 开始 材料id
     * @param datumIdStart
     */
    public MatterDatumFileQuery datumIdStart(Long datumIdStart){
        this.datumIdStart = datumIdStart;
        return this;
    }

    /**
     * 设置 结束 材料id
     * @param datumIdEnd
     */
    public MatterDatumFileQuery datumIdEnd(Long datumIdEnd){
        this.datumIdEnd = datumIdEnd;
        return this;
    }

    /**
     * 设置 增加 材料id
     * @param datumIdIncrement
     */
    public MatterDatumFileQuery datumIdIncrement(Long datumIdIncrement){
        this.datumIdIncrement = datumIdIncrement;
        return this;
    }

    /**
     * 设置 材料id
     * @param datumIdList
     */
    public MatterDatumFileQuery datumIdList(List<Long> datumIdList){
        this.datumIdList = datumIdList;
        return this;
    }


    /**
     * 设置 附件名称
     * @param fileName
     */
    public MatterDatumFileQuery fileName(String fileName){
        setFileName(fileName);
        return this;
    }

    /**
     * 设置 附件名称
     * @param fileNameList
     */
    public MatterDatumFileQuery fileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
        return this;
    }


    /**
     * 设置 附件下载地址
     * @param fileUrl
     */
    public MatterDatumFileQuery fileUrl(String fileUrl){
        setFileUrl(fileUrl);
        return this;
    }

    /**
     * 设置 附件下载地址
     * @param fileUrlList
     */
    public MatterDatumFileQuery fileUrlList(List<String> fileUrlList){
        this.fileUrlList = fileUrlList;
        return this;
    }

    /**
     * 设置  附件类型 (1.示例样表，2.空白表格)
     * @param filetype
     */
    public MatterDatumFileQuery filetype(Integer filetype){
        setFiletype(filetype);
        return this;
    }

    /**
     * 设置 开始 附件类型 (1.示例样表，2.空白表格)
     * @param filetypeStart
     */
    public MatterDatumFileQuery filetypeStart(Integer filetypeStart){
        this.filetypeStart = filetypeStart;
        return this;
    }

    /**
     * 设置 结束 附件类型 (1.示例样表，2.空白表格)
     * @param filetypeEnd
     */
    public MatterDatumFileQuery filetypeEnd(Integer filetypeEnd){
        this.filetypeEnd = filetypeEnd;
        return this;
    }

    /**
     * 设置 增加 附件类型 (1.示例样表，2.空白表格)
     * @param filetypeIncrement
     */
    public MatterDatumFileQuery filetypeIncrement(Integer filetypeIncrement){
        this.filetypeIncrement = filetypeIncrement;
        return this;
    }

    /**
     * 设置 附件类型 (1.示例样表，2.空白表格)
     * @param filetypeList
     */
    public MatterDatumFileQuery filetypeList(List<Integer> filetypeList){
        this.filetypeList = filetypeList;
        return this;
    }

    /**
     * 设置  附件来源 (0.政务网，1.自定义)
     * @param source
     */
    public MatterDatumFileQuery source(Integer source){
        setSource(source);
        return this;
    }

    /**
     * 设置 开始 附件来源 (0.政务网，1.自定义)
     * @param sourceStart
     */
    public MatterDatumFileQuery sourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
        return this;
    }

    /**
     * 设置 结束 附件来源 (0.政务网，1.自定义)
     * @param sourceEnd
     */
    public MatterDatumFileQuery sourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
        return this;
    }

    /**
     * 设置 增加 附件来源 (0.政务网，1.自定义)
     * @param sourceIncrement
     */
    public MatterDatumFileQuery sourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
        return this;
    }

    /**
     * 设置 附件来源 (0.政务网，1.自定义)
     * @param sourceList
     */
    public MatterDatumFileQuery sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public MatterDatumFileQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public MatterDatumFileQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public MatterDatumFileQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public MatterDatumFileQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public MatterDatumFileQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }



    /**
     * 设置 材料名
     * @param materialName
     */
    public MatterDatumFileQuery materialName(String materialName){
        setMaterialName(materialName);
        return this;
    }

    /**
     * 设置 材料名
     * @param materialNameList
     */
    public MatterDatumFileQuery materialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<MatterDatumFileQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<MatterDatumFileQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<MatterDatumFileQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<MatterDatumFileQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}